Jump to content
PA-Sniv

IL2 server stats (unofficial)

Recommended Posts

Ok, something wrong when i run the install.cmd

 

Here are the list :

 

D:\il2_stats\run>cd ../

D:\il2_stats>".venv/Scripts/python.exe" -m pip install -U --quiet --no-index --f
ind-links=wheelhouse -r requirements.txt

D:\il2_stats>pause
Appuyez sur une touche pour continuer...

D:\il2_stats>cd src

D:\il2_stats\src>"../.venv/Scripts/python.exe" manage.py collectstatic --noinput
 --verbosity 0

D:\il2_stats\src>pause
Appuyez sur une touche pour continuer...

D:\il2_stats\src>"../.venv/Scripts/python.exe" manage.py migrate --noinput --ver
bosity 0
Traceback (most recent call last):
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", l
ine 199, in ensure_connection
    self.connect()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", l
ine 171, in connect
    self.connection = self.get_new_connection(conn_params)
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\postgresql\base.
py", line 176, in get_new_connection
    connection = Database.connect(**conn_params)
  File "D:\il2_stats\.venv\lib\site-packages\psycopg2\__init__.py", line 164, in
 connect
    conn = _connect(dsn, connection_factory=connection_factory, async=async)
psycopg2.OperationalError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "manage.py", line 7, in <module>
    execute_from_command_line(sys.argv)
  File "D:\il2_stats\.venv\lib\site-packages\django\core\management\__init__.py"
, line 367, in execute_from_command_line
    utility.execute()
  File "D:\il2_stats\.venv\lib\site-packages\django\core\management\__init__.py"
, line 359, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "D:\il2_stats\.venv\lib\site-packages\django\core\management\base.py", li
ne 294, in run_from_argv
    self.execute(*args, **cmd_options)
  File "D:\il2_stats\.venv\lib\site-packages\django\core\management\base.py", li
ne 345, in execute
    output = self.handle(*args, **options)
  File "D:\il2_stats\.venv\lib\site-packages\django\core\management\commands\mig
rate.py", line 83, in handle
    executor = MigrationExecutor(connection, self.migration_progress_callback)
  File "D:\il2_stats\.venv\lib\site-packages\django\db\migrations\executor.py",
line 20, in __init__
    self.loader = MigrationLoader(self.connection)
  File "D:\il2_stats\.venv\lib\site-packages\django\db\migrations\loader.py", li
ne 52, in __init__
    self.build_graph()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\migrations\loader.py", li
ne 203, in build_graph
    self.applied_migrations = recorder.applied_migrations()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\migrations\recorder.py",
line 65, in applied_migrations
    self.ensure_schema()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\migrations\recorder.py",
line 52, in ensure_schema
    if self.Migration._meta.db_table in self.connection.introspection.table_name
s(self.connection.cursor()):
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", l
ine 233, in cursor
    cursor = self.make_cursor(self._cursor())
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", l
ine 204, in _cursor
    self.ensure_connection()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", l
ine 199, in ensure_connection
    self.connect()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\utils.py", line 94, in __
exit__
    six.reraise(dj_exc_type, dj_exc_value, traceback)
  File "D:\il2_stats\.venv\lib\site-packages\django\utils\six.py", line 685, in
reraise
    raise value.with_traceback(tb)
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", l
ine 199, in ensure_connection
    self.connect()
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\base\base.py", l
ine 171, in connect
    self.connection = self.get_new_connection(conn_params)
  File "D:\il2_stats\.venv\lib\site-packages\django\db\backends\postgresql\base.
py", line 176, in get_new_connection
    connection = Database.connect(**conn_params)
  File "D:\il2_stats\.venv\lib\site-packages\psycopg2\__init__.py", line 164, in
 connect
    conn = _connect(dsn, connection_factory=connection_factory, async=async)
django.db.utils.OperationalError

D:\il2_stats\src>pause
Appuyez sur une touche pour continuer...

 

Its on a server with W2012 server R2 standard

Share this post


Link to post
Share on other sites

All I can say is that the statistics can not connect to the PostgreSQL database. The reasons may be different.

The database does not work. Wrong username or password, etc.

Share this post


Link to post
Share on other sites

This is how I do it:

1. Backup your conf.ini somewhere.

2. Unzip the newer version files to some working directory.

3. Shut down stats.cmd and waitress.cmd (If stats are currently being processed, wait until processing is complete.)

4. Copy the newer version folders and files over the older version.

5. Copy the backup conf.ini over the (now) newer version conf.ini.

6. Start the "run\update.cmd"

 

Thank you Temuri, and sorry for delay on answer (been caught by the flue that is devastating Italy).

Going to do as suggested. Will post the results

Share this post


Link to post
Share on other sites

After I start run\update.cmd I got a dos window that says: could not open requirements file: [Errno 2] No such file or directory: 'requirements.txt'

I have tried to run the command from the console, as I saw suggested some posts earlier, and the update process seemed to finish correctly.

Nevertheless the webpage with the stats does not work anymore I do not get anymore the "ilstats_import" dos windows that says "waiting for new report" like it happened with the old version. The second window (ilstats_web seems to work ok). 

Edited by FS_Fenice_1965

Share this post


Link to post
Share on other sites

Is there a stats page for the 1CGS Official Server DED ? - the former website is no longer available...

Share this post


Link to post
Share on other sites

Vaal, may you add the unload cargo, drop cargo and paratrooper in the stat please.

  • Upvote 1

Share this post


Link to post
Share on other sites

As these action are in the campaign, i think they should be some.

Share this post


Link to post
Share on other sites

You're right, i forgot that point. If i have time i will have a look on it as i have an MP mission with unload.

Share this post


Link to post
Share on other sites

I had a look, but it's chinese for me. So, i can't tell if there are log or not. :(

Edited by Habu

Share this post


Link to post
Share on other sites

Hey!  is there another version of the status coming out soon?  Since the last patch a few days ago, the stats collector is showing:

C:\il2_stats\src>"../.venv/Scripts/python.exe" manage.py stats_whore

[2017.02.05 21:33:48] IL2 stats 1.2.8, Python 3.5.2, Django 1.10.5

[2017.02.05 21:33:48] missionReport(2017-01-31_11-27-47)[0] - processing new report

[2017.02.05 21:33:48] unexpected error

Traceback (most recent call last):

  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle

    stats_whore.main()

  File "C:\il2_stats\src\stats\stats_whore.py", line 64, in main

    stats_whore(m_report_file=m_report_file)

  File "C:\Users\twbadmin\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner

    return func(*args, **kwds)

  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore

    m_report.processing(files=m_report_files)

  File "C:\il2_stats\src\mission_report\report.py", line 108, in processing

    self.events_handlers[atype_id](**data)

  File "C:\il2_stats\src\mission_report\report.py", line 316, in event_game_object

    country_id=country_id, coal_id=coal_id, parent_id=parent_id)

  File "C:\il2_stats\src\mission_report\report.py", line 419, in __init__

    obj = mission.objects[self.log_name]

KeyError: 'mg-34 aa turret'

Traceback (most recent call last):

  File "manage.py", line 7, in <module>

    execute_from_command_line(sys.argv)

  File "C:\il2_stats\.venv\lib\site-packages\django\core\management\__init__.py", line 367, in execute_from_command_line

    utility.execute()

  File "C:\il2_stats\.venv\lib\site-packages\django\core\management\__init__.py", line 359, in execute

    self.fetch_command(subcommand).run_from_argv(self.argv)

  File "C:\il2_stats\.venv\lib\site-packages\django\core\management\base.py", line 294, in run_from_argv

    self.execute(*args, **cmd_options)

  File "C:\il2_stats\.venv\lib\site-packages\django\core\management\base.py", line 345, in execute

    output = self.handle(*args, **options)

  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle

    stats_whore.main()

  File "C:\il2_stats\src\stats\stats_whore.py", line 64, in main

    stats_whore(m_report_file=m_report_file)

  File "C:\Users\twbadmin\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner

    return func(*args, **kwds)

  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore

    m_report.processing(files=m_report_files)

  File "C:\il2_stats\src\mission_report\report.py", line 108, in processing

    self.events_handlers[atype_id](**data)

  File "C:\il2_stats\src\mission_report\report.py", line 316, in event_game_object

    country_id=country_id, coal_id=coal_id, parent_id=parent_id)

  File "C:\il2_stats\src\mission_report\report.py", line 419, in __init__

    obj = mission.objects[self.log_name]

KeyError: 'mg-34 aa turret'
C:\il2_stats\src>pause

Press any key to continue . . .

Share this post


Link to post
Share on other sites

Stuck on step one of install.txt (postgresql install)

 

post-53421-0-51066100-1486645106_thumb.jpg

 

Have tried different directories, 64bit and 32 bit, disabled anti-virus, nothing works.

 

any suggestions?

 

 

Share this post


Link to post
Share on other sites

Almost there I think.

 

Got everything up and running, but can only access web page thru local host.

 

In conf.ini, I get an error with either stats.cmd or waitress.cmd depending on which line I change to reflect my external ip.  Only way I can get everything to load properly is if I leave everything in conf.ini at 127.0.0.1

 

And can someone elaborate on doing this?  8) in the admin panel, section Chunks, you can change the server name

 

post-53421-0-33058700-1486687496_thumb.jpg
 

 

 

 

 

Share this post


Link to post
Share on other sites

Typically, in both settings, set the internal IP - 127.0.0.1

And then using a firewall or router settings do port forwarding 80.

 

"the requested address is not valid in its context"

This means that the IP you entered is not the IP address of the this computer.

 

 

about admin panel

During statistics installation, you create user .

After starting the statistics, you login with this user and you will see admin panel link.

Share this post


Link to post
Share on other sites

Getting an error on he111-16 turret now.  Going to assume there is a new objects.csv coming for 2.08 update, or is it something else I need.

Share this post


Link to post
Share on other sites

[2017.02.13 16:06:26] IL2 stats 1.2.8, Python 3.5.2, Django 1.10.5
[2017.02.13 16:06:26] waiting new report...
[2017.02.13 17:32:59] IL2 stats 1.2.8, Python 3.5.2, Django 1.10.5
[2017.02.13 17:32:59] waiting new report...
[2017.02.13 18:34:00] missionReport(2017-02-13_18-20-49)[0] - processing new report
[2017.02.13 18:34:00] missionReport(2017-02-13_18-20-49)[0] - mission has not been completed correctly
[2017.02.13 18:34:01] missionReport(2017-02-13_18-20-49)[0] - processing finished
[2017.02.13 18:34:01] waiting new report...
[2017.02.13 19:12:31] missionReport(2017-02-13_18-33-40)[0] - processing new report
[2017.02.13 19:12:31] missionReport(2017-02-13_18-33-40)[0] - mission has not been completed correctly
[2017.02.13 19:12:31] missionReport(2017-02-13_18-33-40)[0] - processing finished
[2017.02.13 19:12:31] waiting new report...
[2017.02.25 12:11:37] IL2 stats 1.2.8, Python 3.5.2, Django 1.10.5
[2017.02.25 12:11:37] missionReport(2017-02-13_18-20-49)[0] - exists in the DB
[2017.02.25 12:11:37] missionReport(2017-02-13_18-33-40)[0] - exists in the DB
[2017.02.25 12:11:37] missionReport(2017-02-25_08-29-30)[0] - processing new report
[2017.02.25 12:11:37] missionReport(2017-02-25_08-29-30)[0] - mission has not been completed correctly
[2017.02.25 12:11:37] missionReport(2017-02-25_08-29-30)[0] - processing finished
[2017.02.25 12:11:37] missionReport(2017-02-25_08-49-01)[0] - processing new report
[2017.02.25 12:11:37] missionReport(2017-02-25_08-49-01)[0] - mission has not been completed correctly
[2017.02.25 12:11:37] missionReport(2017-02-25_08-49-01)[0] - processing finished
[2017.02.25 12:11:37] missionReport(2017-02-25_09-10-32)[0] - processing new report
[2017.02.25 12:11:37] missionReport(2017-02-25_09-10-32)[0] - mission has not been completed correctly
[2017.02.25 12:11:37] missionReport(2017-02-25_09-10-32)[0] - processing finished
[2017.02.25 12:11:37] waiting new report...
[2017.02.25 15:52:38] missionReport(2017-02-25_15-48-50)[0] - processing new report
[2017.02.25 15:52:38] missionReport(2017-02-25_15-48-50)[0] - mission has not been completed correctly
[2017.02.25 15:52:38] missionReport(2017-02-25_15-48-50)[0] - processing finished
[2017.02.25 15:52:38] waiting new report...
[2017.02.25 16:26:09] missionReport(2017-02-25_16-05-36)[0] - processing new report
[2017.02.25 16:26:09] missionReport(2017-02-25_16-05-36)[0] - mission has not been completed correctly
[2017.02.25 16:26:09] missionReport(2017-02-25_16-05-36)[0] - processing finished
[2017.02.25 16:26:09] waiting new report...
[2017.02.25 19:13:39] missionReport(2017-02-25_18-47-34)[0] - processing new report
[2017.02.25 19:13:40] missionReport(2017-02-25_18-47-34)[0] - mission has not been completed correctly
[2017.02.25 19:13:40] missionReport(2017-02-25_18-47-34)[0] - processing finished
[2017.02.25 19:13:40] waiting new report...
[2017.02.26 16:18:04] missionReport(2017-02-26_16-10-22)[0] - processing new report
[2017.02.26 16:18:04] missionReport(2017-02-26_16-10-22)[0] - mission has not been completed correctly
[2017.02.26 16:18:04] missionReport(2017-02-26_16-10-22)[0] - processing finished
[2017.02.26 16:18:04] waiting new report...
[2017.02.26 16:20:04] missionReport(2017-02-26_16-17-47)[0] - processing new report
[2017.02.26 16:20:04] missionReport(2017-02-26_16-17-47)[0] - mission has not been completed correctly
[2017.02.26 16:20:04] missionReport(2017-02-26_16-17-47)[0] - processing finished
[2017.02.26 16:20:04] waiting new report...
[2017.02.28 16:22:50] missionReport(2017-02-28_16-20-49)[0] - processing new report
[2017.02.28 16:22:50] missionReport(2017-02-28_16-20-49)[0] - mission has not been completed correctly
[2017.02.28 16:22:50] missionReport(2017-02-28_16-20-49)[0] - processing finished
[2017.02.28 16:22:50] waiting new report...
[2017.03.01 00:15:26] missionReport(2017-02-28_21-25-15)[0] - processing new report
[2017.03.01 00:15:26] started a new tour by month
[2017.03.01 00:15:27] missionReport(2017-02-28_21-25-15)[0] - processing finished
[2017.03.01 00:15:27] waiting new report...
[2017.03.01 01:23:29] missionReport(2017-03-01_00-15-21)[0] - processing new report
[2017.03.01 01:23:29] missionReport(2017-03-01_00-15-21)[0] - mission has not been completed correctly
[2017.03.01 01:23:29] missionReport(2017-03-01_00-15-21)[0] - processing finished
[2017.03.01 01:23:29] waiting new report...
[2017.03.03 19:42:36] missionReport(2017-03-03_19-36-20)[0] - processing new report
[2017.03.03 19:42:36] missionReport(2017-03-03_19-36-20)[0] - mission has not been completed correctly
[2017.03.03 19:42:36] missionReport(2017-03-03_19-36-20)[0] - processing finished
[2017.03.03 19:42:36] waiting new report...
[2017.03.04 01:19:09] missionReport(2017-03-04_00-39-21)[0] - processing new report
[2017.03.04 01:19:10] missionReport(2017-03-04_00-39-21)[0] - mission has not been completed correctly
[2017.03.04 01:19:10] missionReport(2017-03-04_00-39-21)[0] - processing finished
[2017.03.04 01:19:10] waiting new report...
[2017.03.04 01:34:10] missionReport(2017-03-04_01-28-44)[0] - processing new report
[2017.03.04 01:34:10] missionReport(2017-03-04_01-28-44)[0] - mission has not been completed correctly
[2017.03.04 01:34:10] missionReport(2017-03-04_01-28-44)[0] - processing finished
[2017.03.04 01:34:10] waiting new report...
[2017.03.04 01:51:10] missionReport(2017-03-04_01-45-47)[0] - processing new report
[2017.03.04 01:51:10] missionReport(2017-03-04_01-45-47)[0] - mission has not been completed correctly
[2017.03.04 01:51:10] missionReport(2017-03-04_01-45-47)[0] - processing finished
[2017.03.04 01:51:10] waiting new report...
[2017.03.04 02:32:11] missionReport(2017-03-04_01-53-13)[0] - processing new report
[2017.03.04 02:32:11] missionReport(2017-03-04_01-53-13)[0] - mission has not been completed correctly
[2017.03.04 02:32:11] missionReport(2017-03-04_01-53-13)[0] - processing finished
[2017.03.04 02:32:11] waiting new report...
[2017.03.04 08:55:15] missionReport(2017-03-04_08-35-54)[0] - processing new report
[2017.03.04 08:55:15] missionReport(2017-03-04_08-35-54)[0] - mission has not been completed correctly
[2017.03.04 08:55:15] missionReport(2017-03-04_08-35-54)[0] - processing finished
[2017.03.04 08:55:15] waiting new report...
[2017.03.04 09:22:45] missionReport(2017-03-04_09-07-13)[0] - processing new report
[2017.03.04 09:22:45] missionReport(2017-03-04_09-07-13)[0] - mission has not been completed correctly
[2017.03.04 09:22:45] missionReport(2017-03-04_09-07-13)[0] - processing finished
[2017.03.04 09:22:45] waiting new report...
[2017.03.04 09:45:46] missionReport(2017-03-04_09-36-59)[0] - processing new report
[2017.03.04 09:45:46] missionReport(2017-03-04_09-36-59)[0] - mission has not been completed correctly
[2017.03.04 09:45:46] missionReport(2017-03-04_09-36-59)[0] - processing finished
[2017.03.04 09:45:46] waiting new report...
[2017.03.04 10:02:46] missionReport(2017-03-04_09-54-39)[0] - processing new report
[2017.03.04 10:02:46] missionReport(2017-03-04_09-54-39)[0] - mission has not been completed correctly
[2017.03.04 10:02:46] missionReport(2017-03-04_09-54-39)[0] - processing finished
[2017.03.04 10:02:46] waiting new report...
[2017.03.04 10:16:46] missionReport(2017-03-04_10-02-29)[0] - processing new report
[2017.03.04 10:16:46] missionReport(2017-03-04_10-02-29)[0] - mission has not been completed correctly
[2017.03.04 10:16:46] missionReport(2017-03-04_10-02-29)[0] - processing finished
[2017.03.04 10:16:46] waiting new report...
[2017.03.04 10:27:47] missionReport(2017-03-04_10-16-23)[0] - processing new report
[2017.03.04 10:27:47] missionReport(2017-03-04_10-16-23)[0] - mission has not been completed correctly
[2017.03.04 10:27:47] missionReport(2017-03-04_10-16-23)[0] - processing finished
[2017.03.04 10:27:47] waiting new report...
[2017.03.04 10:51:47] missionReport(2017-03-04_10-27-23)[0] - processing new report
[2017.03.04 10:51:47] missionReport(2017-03-04_10-27-23)[0] - mission has not been completed correctly
[2017.03.04 10:51:47] missionReport(2017-03-04_10-27-23)[0] - processing finished
[2017.03.04 10:51:47] waiting new report...
[2017.03.04 11:10:47] missionReport(2017-03-04_11-04-00)[0] - processing new report
[2017.03.04 11:10:47] missionReport(2017-03-04_11-04-00)[0] - mission has not been completed correctly
[2017.03.04 11:10:47] missionReport(2017-03-04_11-04-00)[0] - processing finished
[2017.03.04 11:10:47] waiting new report...
[2017.03.04 15:38:21] missionReport(2017-03-04_15-31-37)[0] - processing new report
[2017.03.04 15:38:21] missionReport(2017-03-04_15-31-37)[0] - mission has not been completed correctly
[2017.03.04 15:38:21] missionReport(2017-03-04_15-31-37)[0] - processing finished
[2017.03.04 15:38:21] waiting new report...
[2017.03.08 00:24:41] missionReport(2017-03-07_21-39-52)[0] - processing new report
[2017.03.08 00:24:41] unexpected error
Traceback (most recent call last):
  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle
    stats_whore.main()
  File "C:\il2_stats\src\stats\stats_whore.py", line 75, in main
    stats_whore(m_report_file=m_report_file)
  File "C:\Users\GAMESERVER\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore
    m_report.processing(files=m_report_files)
  File "C:\il2_stats\src\mission_report\report.py", line 108, in processing
    self.events_handlers[atype_id](**data)
  File "C:\il2_stats\src\mission_report\report.py", line 316, in event_game_object
    country_id=country_id, coal_id=coal_id, parent_id=parent_id)
  File "C:\il2_stats\src\mission_report\report.py", line 419, in __init__
    obj = mission.objects[self.log_name]
KeyError: 'turret_he111h16_3'
[2017.03.08 07:17:44] IL2 stats 1.2.8, Python 3.5.2, Django 1.10.5
[2017.03.08 07:17:44] missionReport(2017-02-13_18-20-49)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-13_18-33-40)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-25_08-29-30)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-25_08-49-01)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-25_09-10-32)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-25_15-48-50)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-25_16-05-36)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-25_18-47-34)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-26_16-10-22)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-26_16-17-47)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-28_16-20-49)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-02-28_21-25-15)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-03-01_00-15-21)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-03-03_19-36-20)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-03-04_00-39-21)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-03-04_01-28-44)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-03-04_01-45-47)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-03-04_01-53-13)[0] - exists in the DB
[2017.03.08 07:17:44] missionReport(2017-03-04_08-35-54)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-04_09-07-13)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-04_09-36-59)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-04_09-54-39)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-04_10-02-29)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-04_10-16-23)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-04_10-27-23)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-04_11-04-00)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-04_15-31-37)[0] - exists in the DB
[2017.03.08 07:17:45] missionReport(2017-03-07_21-39-52)[0] - processing new report
[2017.03.08 07:17:45] unexpected error

Traceback (most recent call last):
  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle
    stats_whore.main()
  File "C:\il2_stats\src\stats\stats_whore.py", line 75, in main
    stats_whore(m_report_file=m_report_file)
  File "C:\Users\GAMESERVER\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore
    m_report.processing(files=m_report_files)
  File "C:\il2_stats\src\mission_report\report.py", line 108, in processing
    self.events_handlers[atype_id](**data)
  File "C:\il2_stats\src\mission_report\report.py", line 316, in event_game_object
    country_id=country_id, coal_id=coal_id, parent_id=parent_id)
  File "C:\il2_stats\src\mission_report\report.py", line 419, in __init__
    obj = mission.objects[self.log_name]
KeyError: 'turret_he111h16_3'
[2017.03.08 07:43:26] IL2 stats 1.2.8, Python 3.5.2, Django 1.10.5
[2017.03.08 07:43:26] missionReport(2017-02-13_18-20-49)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-13_18-33-40)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-25_08-29-30)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-25_08-49-01)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-25_09-10-32)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-25_15-48-50)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-25_16-05-36)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-25_18-47-34)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-26_16-10-22)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-26_16-17-47)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-28_16-20-49)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-02-28_21-25-15)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-01_00-15-21)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-03_19-36-20)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_00-39-21)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_01-28-44)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_01-45-47)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_01-53-13)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_08-35-54)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_09-07-13)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_09-36-59)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_09-54-39)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_10-02-29)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_10-16-23)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_10-27-23)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_11-04-00)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-04_15-31-37)[0] - exists in the DB
[2017.03.08 07:43:26] missionReport(2017-03-07_21-39-52)[0] - processing new report
[2017.03.08 07:43:26] unexpected error
Traceback (most recent call last):
  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle
    stats_whore.main()
  File "C:\il2_stats\src\stats\stats_whore.py", line 75, in main
    stats_whore(m_report_file=m_report_file)
  File "C:\Users\GAMESERVER\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore
    m_report.processing(files=m_report_files)
  File "C:\il2_stats\src\mission_report\report.py", line 108, in processing
    self.events_handlers[atype_id](**data)
  File "C:\il2_stats\src\mission_report\report.py", line 316, in event_game_object
    country_id=country_id, coal_id=coal_id, parent_id=parent_id)
  File "C:\il2_stats\src\mission_report\report.py", line 419, in __init__
    obj = mission.objects[self.log_name]
KeyError: 'turret_he111h16_3'
[2017.03.08 16:11:07] IL2 stats 1.2.8, Python 3.5.2, Django 1.10.5
[2017.03.08 16:11:07] missionReport(2017-02-13_18-20-49)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-13_18-33-40)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-25_08-29-30)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-25_08-49-01)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-25_09-10-32)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-25_15-48-50)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-25_16-05-36)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-25_18-47-34)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-26_16-10-22)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-26_16-17-47)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-28_16-20-49)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-02-28_21-25-15)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-01_00-15-21)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-03_19-36-20)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_00-39-21)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_01-28-44)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_01-45-47)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_01-53-13)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_08-35-54)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_09-07-13)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_09-36-59)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_09-54-39)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_10-02-29)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_10-16-23)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_10-27-23)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_11-04-00)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-04_15-31-37)[0] - exists in the DB
[2017.03.08 16:11:07] missionReport(2017-03-07_21-39-52)[0] - processing new report
[2017.03.08 16:11:07] unexpected error
Traceback (most recent call last):
  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle
    stats_whore.main()
  File "C:\il2_stats\src\stats\stats_whore.py", line 75, in main
    stats_whore(m_report_file=m_report_file)
  File "C:\Users\GAMESERVER\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore
    m_report.processing(files=m_report_files)
  File "C:\il2_stats\src\mission_report\report.py", line 108, in processing
    self.events_handlers[atype_id](**data)
  File "C:\il2_stats\src\mission_report\report.py", line 316, in event_game_object
    country_id=country_id, coal_id=coal_id, parent_id=parent_id)
  File "C:\il2_stats\src\mission_report\report.py", line 419, in __init__
    obj = mission.objects[self.log_name]
KeyError: 'turret_he111h16_3'
[2017.03.09 12:50:34] IL2 stats 1.2.8, Python 3.5.2, Django 1.10.5
[2017.03.09 12:50:34] missionReport(2017-02-13_18-20-49)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-13_18-33-40)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-25_08-29-30)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-25_08-49-01)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-25_09-10-32)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-25_15-48-50)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-25_16-05-36)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-25_18-47-34)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-26_16-10-22)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-26_16-17-47)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-28_16-20-49)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-02-28_21-25-15)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-01_00-15-21)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-03_19-36-20)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_00-39-21)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_01-28-44)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_01-45-47)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_01-53-13)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_08-35-54)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_09-07-13)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_09-36-59)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_09-54-39)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_10-02-29)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_10-16-23)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_10-27-23)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_11-04-00)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-04_15-31-37)[0] - exists in the DB
[2017.03.09 12:50:34] missionReport(2017-03-07_21-39-52)[0] - processing new report
[2017.03.09 12:50:34] unexpected error
Traceback (most recent call last):
  File "C:\il2_stats\src\stats\management\commands\stats_whore.py", line 16, in handle
    stats_whore.main()
  File "C:\il2_stats\src\stats\stats_whore.py", line 75, in main
    stats_whore(m_report_file=m_report_file)
  File "C:\Users\GAMESERVER\AppData\Local\Programs\Python\Python35-32\lib\contextlib.py", line 30, in inner
    return func(*args, **kwds)
  File "C:\il2_stats\src\stats\stats_whore.py", line 159, in stats_whore
    m_report.processing(files=m_report_files)
  File "C:\il2_stats\src\mission_report\report.py", line 108, in processing
    self.events_handlers[atype_id](**data)
  File "C:\il2_stats\src\mission_report\report.py", line 316, in event_game_object
    country_id=country_id, coal_id=coal_id, parent_id=parent_id)
  File "C:\il2_stats\src\mission_report\report.py", line 419, in __init__
    obj = mission.objects[self.log_name]
KeyError: 'turret_he111h16_3'

Share this post


Link to post
Share on other sites

Hello gents and thank you for the hard work you did for this tool.

 

Before start I must say that I am completely unfamiliar with data bases and I had many troubles until I managed to get evrynthing going but I need you help now.

 

First my setup, a router and 2 PCs connected to it at home, PC1 with win7 home that the sim runs on and PC2 for the Dserver with win10 pro.

 

DB and stats collecting is working, also the stats page can be seen in the computer that the server is installed on by inserting the 127.0.0.1 IP in the browser.

 

My problem is that I can't make the webpage visible over the net for other people to see.

I made an account on NOIP.COM and tried various IPs and ports (also opening them in the router) in the

Conf.ini file but to no avail.

The closest I got was to see the login page of my router using the domain name from NOIP site.

 

Any help on what steps or settings I need to make will be appreciated.

Share this post


Link to post
Share on other sites

1) You need to select a port (not 80, used by the router or change the port of the router), for example 8000

2) Configure the port forwarding from the external port 8000 to the 80 port PC2

3) In the settings of conf.ini - http:host, set the internal ip PC2

 

Then the statistics should be available at the address http://some_domain.com:8000

Share this post


Link to post
Share on other sites

Thank you Vaal, it worked just fine, it seems the problem was that I was changing the 80 port in conf.ini to 8000 and I didn't use my internal IP.

Share this post


Link to post
Share on other sites
This is a beautiful piece of code, thanks vaal and isay for this contribution to the community!

 

I installed il2 stats on our server -Cielos de Guerra- http://190.106.130.111:8080

 

I made a spanish translation, then I send to you by pm.

 

salutes!

Share this post


Link to post
Share on other sites

I know that questions by a noob is frustrating :)

 

I tried to add a reward, when you say in help file : you need to restart the script of statistics. You mean close and run again the stats.cmd ?

 

Oh, and here it is: http://kg200.net:8000

 

Thanks again.

Share this post


Link to post
Share on other sites

This is a beautiful piece of code, thanks vaal and isay for this contribution to the community!

 

I installed il2 stats on our server -Cielos de Guerra- http://190.106.130.111:8080

 

I made a spanish translation, then I send to you by pm.

 

salutes!

 

Thank you! I released a version with your localization.

 

 

 

I tried to add a reward, when you say in help file : you need to restart the script of statistics. You mean close and run again the stats.cmd ?

 

yes

Share this post


Link to post
Share on other sites

Thank you again, is there a way to add score for paratroopers drop? There is a value for parachute in admins panel but I presume its for parachute kill not drop.

Edited by KG200_Volker

Share this post


Link to post
Share on other sites

Trying to figure out this awards part.

 

If I understand it right, the criteria for scoring the award has to be already defined in the Models.py file, and these can be found in 3 places, Class Player, Class sortie, and Class Playermission.

 

If I find the section in the Models.py file that has Class Sortie (class Sortie(models.Model), and I think that section runs until the entry for class KillboardPvP(models.Model): . about the only entries in that section I am pretty sure that can be used for awards are these:

 

ak_total = models.IntegerField(default=0)
    ak_assist = models.IntegerField(default=0)
    gk_total = models.IntegerField(default=0)
    fak_total = models.IntegerField(default=0)
    fgk_total = models.IntegerField(default=0)

 

Am sure more of the entries in the Class Sortie are criteria for awards, but can not figure out which ones.

 

Can anyone explain what the other entries for awards in that section are, (and assume that will explain the Player and PlayerMission sections).

 

And btw, hats off to you pilots that have already figured all this out.
 

 

Share this post


Link to post
Share on other sites

Examples of award criteria are in the file

il2_stats\src\custom\rewards.py

(about this and more in AWARDS.en.html)

Share this post


Link to post
Share on other sites

Thanks Vaal, i understand all that.

 

I know ak_assist is for air kills, gk_total is for air kills etc.

 

But some squads have awards for things like Tank kills, or RTB Heavily wounded. 

 

Where do I find which entries that are used to define these types of awards parameters.

Share this post


Link to post
Share on other sites

tanks example

def tanks(player):
    return player.killboard_pve.get('tank_heavy', 0) + player.killboard_pve.get('tank_light', 0) + player.killboard_pve.get('tank_medium', 0)
These classes are in classes.csv

 

for RTB Heavily wounded possibly using

sortie.wound >= 50 (0 - 100)

and

sortie.status == 'landed'

Share this post


Link to post
Share on other sites

Vaal, I tried everything I can think of,

 

How do I specify which coalition the pilot has to be flying in order to get that medal.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...